#pragma once

// Defines the available font sizes.
enum vdc_text_font_size_t {
	VDC_TEXT_FONT_SIZE_SMALL = 4,
	VDC_TEXT_FONT_SIZE_LARGE = 8,
};

// Stores the active font data.
extern unsigned int __attribute__((far,noload)) vdc_font[256 * 8 / 2];

// Stores the current font size.
extern enum vdc_text_font_size_t vdc_text_font_size;

// Sets the font size.
void vdc_text_set_font_size(enum vdc_text_font_size_t font_size);

// The large font data.
extern const unsigned int vdc_font_data_large[256 * 4];

// The small font data.
extern const unsigned int vdc_font_data_small[256 * 2];
